Subject: Re: [rtcweb] [dispatch] Identity? (Re: Datachannel Hackathon at IETF 101 ?)

From: Cullen Jennings <[email-masked]>
Date: Wed, 7 Feb 2018 15:17:49 +0800

I did an IdP too and would be interested to help on this. 

> On Jan 31, 2018, at 4:03 PM, Martin Thomson <[email-masked]> wrote:
> 
> (-dispatch)
> 
> I'll be at the hackathon and am willing to assist.  I have an identity
> provider, but it is garbage.  It would be nice to see something a
> little more fully thought out.
> 
> On Wed, Jan 31, 2018 at 6:50 PM, Harald Alvestrand <[email-masked]> wrote:
>> On 01/31/2018 12:37 AM, Nils Ohlmeier wrote:
>> 
>> Yes I would love to test it against the Firefox Identity implementation.
>> 
>> Were you thinking about adding it to JS code of an open source bridge/SFU,
>> or standing up an identity service, or both?
>> 
>> 
>> Whatever can be shown to work. The point would be to show by demonstration
>> that it's (relatively) easy to provide and use identity service and that
>> Firefox browsers can use it with different backends / services.
>> 
>> (I don't see any chance to get identity into Chrome by London - if we can
>> build a convincing story in London, the next IETF might be more hopeful.)
>> 
>> 
>> 
>> Best
>>  Nils
>> 
>> On Jan 30, 2018, at 05:59, Harald Alvestrand <[email-masked]> wrote:
>> 
>> Speaking of features that have received little love from deployment ....
>> would anyone be interested in hacking on the identity API?
>> 
>> It seems to have received little love from implementors so far, but
>> there's been strong pushback against removing it too. We need either it
>> or something like it to satisfy the security requirements we set out to
>> satisfy.
>> 
>> Harald
>> 
>> 
>> On 01/24/2018 12:28 PM, T H Panton wrote:
>> 
>> There has been talk over on the w3c list about the scarcity and
>> unsuitability of free-standing WebRTC datachannel implementations.
>> 
>> I wonder if this is a suitable target for the IETF 101 hackathon?
>> 
>> The challenge would be to throw up one or 2 free standing datachannel
>> implementations based on existing open
>> source with APIs that might suit authors of networked games or SFUs.
>> 
>> Comments? Thoughts?
>> 
>> T.
>> 
>> _______________________________________________
>> dispatch mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/dispatch
>> 
>> --
>> Surveillance is pervasive. Go Dark.
>> 
>> _______________________________________________
>> rtcweb mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/rtcweb
>> 
>> 
>> 
>> _______________________________________________
>> dispatch mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/dispatch
>> 
>> 
>> --
>> Surveillance is pervasive. Go Dark.
>> 
>> 
>> _______________________________________________
>> rtcweb mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/rtcweb
>> 
> 
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb